## ciderwebmail 1.05+20191006

=== root/locale/Makefile ===
LANGS := $(wildcard */)
all: extract update
extract:
	find ../templates |egrep '\.xml' | xargs i18nfool-extract
update: $(LANGS:%=%LC_MESSAGES/CiderWebmail.mo)
%/LC_MESSAGES/CiderWebmail.po: CiderWebmail.pot
	i18nfool-update
%/LC_MESSAGES/CiderWebmail.mo: %/LC_MESSAGES/CiderWebmail.po
	i18nfool-build

=== debian/changelog ===
ciderwebmail (1.05+20191006-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
    + Remove 1 maintscript entries.
  * Use secure URI in Homepage field.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libmail-imapclient-perl.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 23:51:19 +0000

ciderwebmail (1.05+20191006-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot
    + Extend database schema for recent contacts
    + Add a psgi file
    + Fix failure to save a sent forwarded message with non-ASCII subject
    + Also fix breakage with non-ASCII file names
    + Fix issues with non-ASCII characters in signatures
    + Set a much lower but configurable default timeout for IMAP reads
    + Fix issues with saving messages
      containing multiple non-ASCII characters
    + Fix error when not logged in
    + Fix compatibility with up to date Mail::IMAPClient

  [ Jonas Smedegaard ]
  * drop patch 2001 disabling call to auto_install during build:
    seemingly harmless
  * update DEP-3 patch headers,
    now referencing corresponding (newly reported) upstream issues
  * update watch file:
    + use mode=git
    + rewrite usage comment
  * tighten build-dependency on libmail-imapclient-perl
  * unfuzz patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Feb 2020 19:51:24 +0100

ciderwebmail (1.05+20150729-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 10.
  * Set upstream metadata fields: Repository.

  [ Jonas Smedegaard ]
  * add patch 1003 to fix hardcode use of CBC crypto block mode
  * simplify rules
  * add apache2 config snippet and update uwsgi config snippets:
    + deprecate /etc/ciderwebmail/apache2-uwsgi.conf
    + tune workers and cheaper
    + improve explanatory comments
    + disable ksm by default, and document its use in README.Debian

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2020 11:22:55 +0100

ciderwebmail (1.05+20150729-6) unstable; urgency=medium

  * Team upload.

  [ Marius Gedminas ]
  * Add missing details to README.Debian.
    LP: #1798181

  [ gregor herrmann ]
  * Fix autopktest smoke test.
    - debian/tests/pkg-perl/smoke-files: add files needed for test
    - debian/tests/pkg-perl/smoke-setup: setup language files
    - debian/tests/pkg-perl/smoke-env: export CIDERWEBMAIL_HOME
  * autopkgtest: explicitly skip use.t.
    Not run currently but it would fail due to missing libdbd-sqlite3-perl.
  * autopkgtest: enable more of syntax.t by adding an empty
    debian/tests/pkg-perl/syntax-skip to syntax check all perl modules
    despite there being Suggests in the package.
  * debian/copyright: remove stanza about removed mootools.
  * debian/copyright: use HTTPS for gnu.org link.
  * Declare compliance with Debian Policy 4.3.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Feb 2019 17:58:29 +0100

ciderwebmail (1.05+20150729-5) unstable; urgency=medium

  * Simplify patch 1002, and stop (build-)depend on
    libmail-rfc822-address-perl.
    Thanks to Pali Rohár.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Jun 2018 16:40:49 +0200

ciderwebmail (1.05+20150729-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Jonas Smedegaard ]
  * Avoid broken module Email::Address:
    + Add patch 1001 to use Email::Address::XS (not Email::Address), and
      use Mail::RFC822::Address (not Regexp::Common::Email::Address).
    + (Build-)depend on libemail-address-xs-perl
      libmail-rfc822-address-perl (not libemail-address-xs-perl
      libregexp-common-email-address-perl).
    Closes: Bug#887535 (CVE-2015-7686). Thanks to Pali Rohár.
  * Declare compliance with Debian Policy 4.1.4.
  * Fix broken uWSGI symlink.
    Closes: Bug#877279. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Jun 2018 15:42:36 +0200

=== debian/control ===
Source: ciderwebmail
Section: web
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 perl,
 debhelper (>= 10~),
 dh-buildinfo,
 libmoose-perl,
 liblog-dispatch-perl,
 libparse-recdescent-perl,
 libmail-imapclient-perl,
 liblog-dispatch-config-perl,
 libcatalyst-plugin-log-dispatch-perl,
 libyaml-perl,
 libyaml-libyaml-perl,
 libjson-xs-perl,
 libcatalyst-view-petal-perl,
 libpetal-utils-perl,
 libdatetime-perl,
 libdatetime-format-mail-perl,
 libmime-tools-perl,
 libtry-tiny-perl,
 libtry-tiny-smartcatch-perl,
 libemail-simple-perl,
 libemail-sender-perl,
 libemail-valid-perl,
 libemail-address-xs-perl,
 libregexp-common-perl,
 libtext-iconv-perl,
 libtext-autoformat-perl,
 libio-socket-ssl-perl,
 libnet-managesieve-perl,
 libclone-perl,
 libhtml-tidy-perl,
 liburi-perl,
 liblocale-maketext-gettext-perl,
 liblist-moreutils-perl,
 libdata-ical-perl,
 libdatetime-format-iso8601-perl,
 libcrypt-util-perl,
 libcrypt-cbc-perl,
 libcrypt-rijndael-perl,
 libcrypt-random-source-perl,
 libmime-base64-urlsafe-perl,
 libhtml-defang-perl,
 libmoosex-role-withoverloading-perl,
 libcatalyst-perl,
 libcatalyst-authentication-credential-http-perl,
 libcatalyst-plugin-configloader-perl,
 libcatalyst-plugin-static-simple-perl,
 libcatalyst-plugin-stacktrace-perl,
 libcatalyst-plugin-authentication-perl,
 libcatalyst-plugin-session-store-fastmmap-perl,
 libcatalyst-plugin-session-state-cookie-perl,
 libcatalyst-model-dbic-schema-perl,
 libcatalyst-action-renderview-perl,
 libdbd-sqlite3-perl,
 libmodule-install-perl,
 libcatalyst-devel-perl,
 libtest-xpath-perl,
 gettext
Standards-Version: 4.5.1
Homepage: https://ciderwebmail.org/
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/ciderwebmail.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/ciderwebmail
Testsuite: autopkgtest-pkg-perl

Package: ciderwebmail
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: IMAP webmail service
 CiderWebmail is a modern, user friendly and maintenance free webmail
 application. It's targeted at mailserver administrators who need to
 provide web access for their user's mailboxes and individuals wanting
 to access their mailboxes via an always available web application.
 .
 It currently supports all the basic mail handling features one would
 expect from such an application:
 .
  * Listing your emails with selectable sort order and grouping.
  * Moving emails between folders and deleting using drag & drop.
  * Displaying text and HTML emails even if their code is completely
    broken (which happens quite often in reality)
  * Keyboard bindings for switching through emails, moving, deleting,
    replying and forwarding.
  * Reply to and forward existing emails or write new emails, add
    attachments and have a copy saved in your "Sent" folder.
 .
 As an application written deep in the 21st century, CiderWebmail
 supports only IMAP mail servers.
 .
 It is recommended to use CiderWebmail with the Dovecot IMAP server.
 CiderWebmail deliberately does little internal caching for security
 reasons, so if used with an IMAP server less powerful than Dovecot you
 may benefit from connecting via imapproxy.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = ciderwebmail

# Needed by upstream build and (always/often) at runtime
perl-deps = moose log-dispatch parse-recdescent
perl-deps += log-dispatch-config catalyst-plugin-log-dispatch yaml
perl-deps += yaml-libyaml json-xs catalyst-view-petal petal-utils
perl-deps += datetime datetime-format-mail mime-tools try-tiny try-tiny-smartcatch
perl-deps += email-simple email-sender email-valid email-address-xs
perl-deps += regexp-common text-iconv
perl-deps += text-autoformat io-socket-ssl net-managesieve clone html-tidy
perl-deps += uri locale-maketext-gettext list-moreutils data-ical
perl-deps += datetime-format-iso8601 crypt-util crypt-cbc crypt-rijndael
perl-deps += crypt-random-source mime-base64-urlsafe html-defang
perl-deps += moosex-role-withoverloading catalyst
catalyst-deps = authentication-credential-http plugin-configloader
catalyst-deps += plugin-static-simple plugin-stacktrace
catalyst-deps += plugin-authentication plugin-session-store-fastmmap
catalyst-deps += plugin-session-state-cookie model-dbic-schema
catalyst-deps += action-renderview action-renderview
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps += $(patsubst %,$(comma) libcatalyst-%-perl,$(catalyst-deps))
deps +=, libmail-imapclient-perl (>= 3.41)
deps-recommend = libdbd-sqlite3-perl

# Needed (always/often/seldom) at runtime
# * libauthen-sasl-perl needed for secure Managesieve connections
depends = adduser
recommends = libauthen-sasl-perl
recommends +=, default-mta | mail-transport-agent
suggests = libfcgi-perl, libfcgi-procmanager-perl
suggests +=, dovecot | imap-server, imapproxy

CDBS_DEPENDS_$(pkg) = $(deps), $(depends)
CDBS_RECOMMENDS_$(pkg) = $(deps-recommend), $(recommends)
CDBS_SUGGESTS_$(pkg) = $(suggests)

DEB_INSTALL_EXAMPLES_$(pkg) = ciderwebmail.yml script/update_schema.sh

# Avoid virtually empty TODO file
DEB_INSTALL_DOCS_ALL := $(filter-out TODO,$(DEB_INSTALL_DOCS_ALL))

# (Re)generate localized templates
langs := $(shell \
	find root/locale -mindepth 1 -maxdepth 1 -type d -printf '%f\n')
configure/$(pkg):: debian/stamp-mktemplates
debian/stamp-mktemplates: pre-build
	for lang in $(langs); do \
		stem=root/locale/$$lang/LC_MESSAGES/CiderWebmail; \
		msgfmt -o $$stem.mo $$stem.po; \
	done
	cd root/templates && perl ./template.pl
	touch $@
clean::
	find root/locale -type f -name '*.mo' -delete
	rm -f debian/stamp-mktemplates

# Install config files
binary-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)etc/$(pkg)
	touch $(cdbs_curdestdir)etc/$(pkg)/custom.css

# Install binaries in project-specific dir and drop their manpages
binary-post-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)usr/share/$(pkg)/bin
	mv $(cdbs_curdestdir)usr/bin $(cdbs_curdestdir)usr/share/$(pkg)/
	rm -rf $(cdbs_curdestdir)usr/share/man/man1

# Replace config with symlinks
binary-post-install/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css
	ln -sT /etc/ciderwebmail/custom.css $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css

# Drop excess files bogusly handled by upstream install routines
binary-post-install/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/.pc
	rm -rf $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/root
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/.gitignore
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/LICENSE
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/TODO
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/ciderwebmail.yml
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/root/templates/template.pl
	rm -f $(cdbs_curdestdir)usr/share/ciderwebmail/root/templates/template.pl

## ciderwebmail 1.05+20221106

=== debian/changelog ===
ciderwebmail (1.05+20221106-2) unstable; urgency=medium

  * Team upload.
  * Add generated test database file and localized templates to
    debian/clean. (Closes: #1044012)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Aug 2023 16:51:58 +0200

ciderwebmail (1.05+20221106-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + fix bug when throwing an error

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * simplify rules;
    stop build-depend on cdbs dh-buildinfo
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.6.2
  * set Rules-Requires-Root: no
  * simplify source helper tool copyright-check
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Dec 2022 13:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Build-Depends:
  perl,
- debhelper (>= 10~),
- dh-buildinfo,
+ debhelper-compat (= 13),
  libmoose-perl,
  liblog-dispatch-perl,
  libparse-recdescent-perl,
@@ -61,20 +60,79 @@
  libcatalyst-devel-perl,
  libtest-xpath-perl,
  gettext
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://ciderwebmail.org/
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/ciderwebmail.git
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/ciderwebmail
 Testsuite: autopkgtest-pkg-perl
+Rules-Requires-Root: no
 
 Package: ciderwebmail
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${cdbs:Depends},
+Depends:
+ adduser,
+ libcatalyst-action-renderview-perl,
+ libcatalyst-action-renderview-perl,
+ libcatalyst-authentication-credential-http-perl,
+ libcatalyst-model-dbic-schema-perl,
+ libcatalyst-perl,
+ libcatalyst-plugin-authentication-perl,
+ libcatalyst-plugin-configloader-perl,
+ libcatalyst-plugin-log-dispatch-perl,
+ libcatalyst-plugin-session-state-cookie-perl,
+ libcatalyst-plugin-session-store-fastmmap-perl,
+ libcatalyst-plugin-stacktrace-perl,
+ libcatalyst-plugin-static-simple-perl,
+ libcatalyst-view-petal-perl,
+ libclone-perl,
+ libcrypt-cbc-perl,
+ libcrypt-random-source-perl,
+ libcrypt-rijndael-perl,
+ libcrypt-util-perl,
+ libdata-ical-perl,
+ libdatetime-format-iso8601-perl,
+ libdatetime-format-mail-perl,
+ libdatetime-perl,
+ libemail-address-xs-perl,
+ libemail-sender-perl,
+ libemail-simple-perl,
+ libemail-valid-perl,
+ libhtml-defang-perl,
+ libhtml-tidy-perl,
+ libio-socket-ssl-perl,
+ libjson-xs-perl,
+ liblist-moreutils-perl,
+ liblocale-maketext-gettext-perl,
+ liblog-dispatch-config-perl,
+ liblog-dispatch-perl,
+ libmail-imapclient-perl (>= 3.41),
+ libmime-base64-urlsafe-perl,
+ libmime-tools-perl,
+ libmoose-perl,
+ libmoosex-role-withoverloading-perl,
+ libnet-managesieve-perl,
+ libparse-recdescent-perl,
+ libpetal-utils-perl,
+ libregexp-common-perl,
+ libtext-autoformat-perl,
+ libtext-iconv-perl,
+ libtry-tiny-perl,
+ libtry-tiny-smartcatch-perl,
+ liburi-perl,
+ libyaml-libyaml-perl,
+ libyaml-perl,
  ${misc:Depends},
  ${perl:Depends}
-Recommends: ${cdbs:Recommends}
-Suggests: ${cdbs:Suggests}
+Recommends:
+ libauthen-sasl-perl,
+ default-mta | mail-transport-agent,
+ libdbd-sqlite3-perl,
+Suggests:
+ dovecot | imap-server,
+ imapproxy,
+ libfcgi-perl,
+ libfcgi-procmanager-perl,
 Description: IMAP webmail service
  CiderWebmail is a modern, user friendly and maintenance free webmail
  application. It's targeted at mailserver administrators who need to

## ciderwebmail 1.05+20240702

=== debian/changelog ===
ciderwebmail (1.05+20240702-1) unstable; urgency=medium

  * unfuzz patches
  * depend on libencode-imaputf7-perl
  * update README.Debian
    to mention enabling Apache2 module proxy_uwsgi
    (not discouraged uwsgi);
    closes: bug#963880, thanks to Nigel Horne

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 15:10:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,64 +2,66 @@
 Section: web
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- perl,
  debhelper-compat (= 13),
+ gettext,
+ libcatalyst-action-renderview-perl,
+ libcatalyst-authentication-credential-http-perl,
+ libcatalyst-devel-perl,
+ libcatalyst-model-dbic-schema-perl,
+ libcatalyst-perl,
+ libcatalyst-plugin-authentication-perl,
+ libcatalyst-plugin-configloader-perl,
+ libcatalyst-plugin-log-dispatch-perl,
+ libcatalyst-plugin-session-state-cookie-perl,
+ libcatalyst-plugin-session-store-fastmmap-perl,
+ libcatalyst-plugin-stacktrace-perl,
+ libcatalyst-plugin-static-simple-perl,
+ libcatalyst-view-petal-perl,
+ libclone-perl,
+ libcrypt-cbc-perl,
+ libcrypt-random-source-perl,
+ libcrypt-rijndael-perl,
+ libcrypt-util-perl,
+ libdata-ical-perl,
+ libdatetime-format-iso8601-perl,
+ libdatetime-format-mail-perl,
+ libdatetime-perl,
+ libdbd-sqlite3-perl,
+ libemail-address-xs-perl,
+ libemail-sender-perl,
+ libemail-simple-perl,
+ libemail-valid-perl,
+ libencode-imaputf7-perl,
+ libhtml-defang-perl,
+ libhtml-tidy-perl,
+ libio-socket-ssl-perl,
+ libjson-xs-perl,
+ liblist-moreutils-perl,
+ liblocale-maketext-gettext-perl,
+ liblog-dispatch-config-perl,
+ liblog-dispatch-perl,
+ libmail-imapclient-perl,
+ libmime-base64-urlsafe-perl,
+ libmime-tools-perl,
+ libmodule-install-perl,
  libmoose-perl,
- liblog-dispatch-perl,
+ libmoosex-role-withoverloading-perl,
+ libnet-managesieve-perl,
  libparse-recdescent-perl,
- libmail-imapclient-perl,
- liblog-dispatch-config-perl,
- libcatalyst-plugin-log-dispatch-perl,
- libyaml-perl,
- libyaml-libyaml-perl,
- libjson-xs-perl,
- libcatalyst-view-petal-perl,
  libpetal-utils-perl,
- libdatetime-perl,
- libdatetime-format-mail-perl,
- libmime-tools-perl,
+ libregexp-common-perl,
+ libtest-xpath-perl,
+ libtext-autoformat-perl,
+ libtext-iconv-perl,
  libtry-tiny-perl,
  libtry-tiny-smartcatch-perl,
- libemail-simple-perl,
- libemail-sender-perl,
- libemail-valid-perl,
- libemail-address-xs-perl,
- libregexp-common-perl,
- libtext-iconv-perl,
- libtext-autoformat-perl,
- libio-socket-ssl-perl,
- libnet-managesieve-perl,
- libclone-perl,
- libhtml-tidy-perl,
  liburi-perl,
- liblocale-maketext-gettext-perl,
- liblist-moreutils-perl,
- libdata-ical-perl,
- libdatetime-format-iso8601-perl,
- libcrypt-util-perl,
- libcrypt-cbc-perl,
- libcrypt-rijndael-perl,
- libcrypt-random-source-perl,
- libmime-base64-urlsafe-perl,
- libhtml-defang-perl,
- libmoosex-role-withoverloading-perl,
- libcatalyst-perl,
- libcatalyst-authentication-credential-http-perl,
- libcatalyst-plugin-configloader-perl,
- libcatalyst-plugin-static-simple-perl,
- libcatalyst-plugin-stacktrace-perl,
- libcatalyst-plugin-authentication-perl,
- libcatalyst-plugin-session-store-fastmmap-perl,
- libcatalyst-plugin-session-state-cookie-perl,
- libcatalyst-model-dbic-schema-perl,
- libcatalyst-action-renderview-perl,
- libdbd-sqlite3-perl,
- libmodule-install-perl,
- libcatalyst-devel-perl,
- libtest-xpath-perl,
- gettext
+ libyaml-libyaml-perl,
+ libyaml-perl,
+ perl,
 Standards-Version: 4.6.2
 Homepage: https://ciderwebmail.org/
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/ciderwebmail.git
@@ -69,10 +71,10 @@
 
 Package: ciderwebmail
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  adduser,
- libcatalyst-action-renderview-perl,
  libcatalyst-action-renderview-perl,
  libcatalyst-authentication-credential-http-perl,
  libcatalyst-model-dbic-schema-perl,
@@ -98,6 +100,7 @@
  libemail-sender-perl,
  libemail-simple-perl,
  libemail-valid-perl,
+ libencode-imaputf7-perl,
  libhtml-defang-perl,
  libhtml-tidy-perl,
  libio-socket-ssl-perl,
@@ -123,10 +126,10 @@
  libyaml-libyaml-perl,
  libyaml-perl,
  ${misc:Depends},
- ${perl:Depends}
+ ${perl:Depends},
 Recommends:
+ default-mta | mail-transport-agent,
  libauthen-sasl-perl,
- default-mta | mail-transport-agent,
  libdbd-sqlite3-perl,
 Suggests:
  dovecot | imap-server,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# (Re)generate localized templates
execute_after_dh_auto_configure:
	find root/locale -name 'LC_MESSAGES' \
		-execdir msgfmt -o '{}'/CiderWebmail.mo '{}'/CiderWebmail.po ';'
	cd root/templates && perl ./template.pl

execute_after_dh_auto_install:
# Install config files
	mkdir -p debian/ciderwebmail/etc/ciderwebmail
	touch debian/ciderwebmail/etc/ciderwebmail/custom.css

# Install binaries in project-specific dir and drop their manpages
	mkdir -p debian/ciderwebmail/usr/share/ciderwebmail/bin
	mv debian/ciderwebmail/usr/bin debian/ciderwebmail/usr/share/ciderwebmail/
	rm -rf debian/ciderwebmail/usr/share/man/man1

# Drop excess files bogusly handled by upstream install routines
	rm -rf debian/ciderwebmail/usr/share/perl5/CiderWebmail/.pc
	rm -rf debian/ciderwebmail/usr/share/perl5/CiderWebmail/root
	rm -f debian/ciderwebmail/usr/share/perl5/CiderWebmail/.gitignore
	rm -f debian/ciderwebmail/usr/share/perl5/CiderWebmail/LICENSE
	rm -f debian/ciderwebmail/usr/share/perl5/CiderWebmail/TODO
	rm -f debian/ciderwebmail/usr/share/perl5/CiderWebmail/ciderwebmail.yml
	rm -f debian/ciderwebmail/usr/share/perl5/CiderWebmail/root/templates/template.pl
	rm -f debian/ciderwebmail/usr/share/ciderwebmail/root/templates/template.pl

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=1.05+%cd \
https://github.com/CiderWebmail/CiderWebmail.git HEAD
